##########################################################################################
#  Licensed Materials - Property of IBM
#  5725D70
#  (C) Copyright IBM Corp. 2012  All rights reserved.
#  US Government Users Restricted Rights - Use, duplication or
#  disclosure restricted by GSA ADP Schedule Contract with IBM
#  Corp.
##########################################################################################
#Assigning values received to different variables	

DBNAME="$1"
DBUSER="$2"
DBPASS="$3"

# Change the following as needed. Since these scripts will be executed by a db instance, make sure that the path has 777 permission for the db instance.

link_temp_file="/datahome/db2inst2/link.csv"
log_file="/datahome/db2inst2/log.txt"
link_subnet_temp_file="/datahome/db2inst2/link_subnet.csv"

#Connecting to the database with the user name and password.
db2 connect to "$DBNAME" user "$DBUSER" using "$DBPASS"

# Exporting LINK data
db2 "export to $link_temp_file of del messages $log_file SELECT LINK.LINK_PK, LINK.LINKNAME, trim(LINK.LINKTYPE), LINK.LASTUPDATETIME, TLL.TO_PK, TLL.FROM_PK FROM TMDD.LINK LINK, DATEX_II.TPEGLINEARLOCATION TLL WHERE TLL.TPEGLINEARLOCATION_PK=LINK.LINK_PK" 

# Importing LINK data
#db2 "load from $link_temp_file of del insert into tptool.link(LINK_ID, ROAD_NAME, CAT, LAST_UPDATE, FNODE, TNODE) COPY YES TO /tmp/dataload/  " >> $log_file

db2 "import from $link_temp_file of del COMMITCOUNT 1000 insert into tptool.link(LINK_ID, ROAD_NAME, CAT, LAST_UPDATE, FNODE, TNODE)" >> $log_file

# Exporting LINK_SUBNET data for creating Default subnet
db2 "export to $link_subnet_temp_file of del SELECT 'Zone1', LINK.LINK_PK FROM TMDD.LINK LINK" >> $log_file 
  
# Importing LINK_SUBNET data
#db2 "load from $link_subnet_temp_file of del insert into tptool.link_subnet(SUBNET_ID,LINK_ID) COPY YES TO /tmp/dataload" >> $log_file

db2 "import from $link_subnet_temp_file of del COMMITCOUNT 1000 insert into tptool.link_subnet(SUBNET_ID,LINK_ID)" >> $log_file


# Committing the queries
db2 commit

#Finally Disconnecting from the data base.
db2 disconnect "$DBNAME"
