#!/bin/sh
# Licensed Materials - Property of IBM
#
# 5725D70
#
# (C) Copyright IBM Corp. 2014 All rights reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.
 

# If any of the values are null, then echo correct usage of the script and the parameters that are required.
 
if [ ".$1" = "." ] || [ ".$2" = "." ] || [ ".$3" = "." ] || [ ".$4" = "." ]
then
	echo "Usage : ./TP_Update_Prediction_Time_Slots.sh tih_hs_dbname tih_hs_db_user tih_hs_db_password pred_time_slots"
	echo "where" 
	echo "tih_hs_dbname	 	TIH database name, e.g. TIH_HS"
	echo "tih_hs_db_user      TIH database user name"
	echo "tih_hs_db_password  TIH database user password"
	echo "pred_time_slots		Prediction Time slots to be predicted. Specify PERIODS_TO_FORECAST time slots in comma separated values without space in between. 
								E.g, 1,2,3,4 (in case of 15 minute Predictions) OR 1,2,3,4,5,6,7,8,9,10,11,12 (in case of 5 minute predictions)" 
    exit 1
fi

#Assigning values received to different variables	
DBNAME="$1"
DBUSER="$2"
DBPASS="$3"
TIMESLOTS="$4"

#Connecting to the database with the user name and password.
db2 connect to "$DBNAME" user "$DBUSER" using "$DBPASS"

# Exporting LINK data
db2 "UPDATE TPTOOL.TPTOOL_CONFIG SET STRING_VALUE = '$TIMESLOTS' WHERE CONFIG_NAME='PERIODS_TO_FORECAST'"

# Committing the queries
db2 commit

#Finally Disconnecting from the data base.
db2 disconnect "$DBNAME"
